<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <input type="number" placeholder="Enter some text" name="name" />
    <p id="values"></p>
    <button onclick="updateValue()">click</button>
<script>
    const log = document.getElementById("values");
    const phone = "your phone number"

    function updateValue(e) {
      var e = document.querySelector("input").value; 
      log.textContent = e;
      if (phone == e ) {
        log.textContent = "dzvac exo";
      } else {
        log.textContent = "anhajoxaki mek@"
      }
    }
</script>
</body>
</html>